import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataPagerdutyCustomFieldSchemaConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/d/custom_field_schema#id DataPagerdutyCustomFieldSchema#id}
    *
    * Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
    * If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.
    */
    readonly id?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/pagerduty/d/custom_field_schema#title DataPagerdutyCustomFieldSchema#title}
    */
    readonly title: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/pagerduty/d/custom_field_schema pagerduty_custom_field_schema}
*/
export declare class DataPagerdutyCustomFieldSchema extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "pagerduty_custom_field_schema";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/pagerduty/d/custom_field_schema pagerduty_custom_field_schema} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataPagerdutyCustomFieldSchemaConfig
    */
    constructor(scope: Construct, id: string, config: DataPagerdutyCustomFieldSchemaConfig);
    get description(): string;
    private _id?;
    get id(): string;
    set id(value: string);
    resetId(): void;
    get idInput(): string | undefined;
    private _title?;
    get title(): string;
    set title(value: string);
    get titleInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
